Bug 732209 - When proxy password has a '#' character, yum doesn't work
Summary: When proxy password has a '#' character, yum doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Milan Zázrivec
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On: 650520
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-20 18:20 UTC by Dimitar Yordanov
Modified: 2014-01-21 06:24 UTC (History)
8 users (show)

Fixed In Version: rhn-client-tools-1.0.0-71.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 650520
Environment:
Last Closed: 2011-12-06 16:49:51 UTC


Attachments (Terms of Use)
NCSA Auth Configuration Squid (2.79 KB, text/plain)
2011-08-20 18:37 UTC, Dimitar Yordanov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1664 normal SHIPPED_LIVE rhn-client-tools and yum-rhn-plugin bug fix update 2011-12-06 00:50:18 UTC

Comment 2 Dimitar Yordanov 2011-08-20 18:37:54 UTC
Created attachment 519154 [details]
NCSA Auth Configuration Squid

Comment 3 Dimitar Yordanov 2011-08-20 18:54:43 UTC
Hi,
 I come a cross the same problem on RHEL6.1.
 yum-rhn-plugin-0.9.1-26.el6_1.1.noarch

 I have set two testing HTTP Proxy Squid configurations with Authentication:
    NCSA Authentication 
    PAM  Authentication

I have tested with those User names and Passwords.

PROXY_USER="proxy_user_${RANDOM}"
PROXY_PASS='proxy_password'
NCSA PASS
PAM  PASS

PROXY_USER="proxy_user_${RANDOM}"
PROXY_PASS='#proxypassword'
NCSA - FAIL 
PAM  - FAIL

PROXY_USER="proxy_user_${RANDOM}"
PROXY_PASS='proxy#password'
NCSA - FAIL
PAM  - FAIL

I have just noticed one weird  scenario:

1. Register to  rhn.errata.stage.redhat.com
2. Sqiud Configuration /etc/squid/squid.conf -- See attachment
3. Restart Squid: service squid restart
4. Configure yum - /etc/sysconfig/rhn/up2date
   enableProxy=1
   httpProxy=localhost:3128
   enableProxyAuth=1

htpasswd -cb /etc/squid/passwd  proxy_1      'ddddddd#' 
yum remove zsh -y
sed -i.bak 's|^\(proxyPassword=\).*|\1ddddddd#|;s|^\(proxyUser=\).*|\1proxy_1|'
/etc/sysconfig/rhn/up2date;
diff /etc/sysconfig/rhn/up2date{.bak,}
yum install zsh -y
FAIL
---
htpasswd -cb /etc/squid/passwd  proxy_2    'dddddddd#' 
yum remove zsh -y
sed -i.bak
's|^\(proxyPassword=\).*|\1dddddddd#|;s|^\(proxyUser=\).*|\1proxy_2|'
/etc/sysconfig/rhn/up2date;
diff /etc/sysconfig/rhn/up2date{.bak,}
yum install zsh -y 
PASS

It seems it is somehow depends on the Password length.
If the password length is more than 8 it passes.
I think the problem could be in "htpasswd".

Comment 4 Milan Zázrivec 2011-09-09 09:28:51 UTC
satellite.git CLIENT-RHEL-6: d1a16251bbd171ed0db1fb07dc2eab81267abc57

Comment 7 errata-xmlrpc 2011-12-06 16:49:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1664.html


Note You need to log in before you can comment on or make changes to this bug.